package com.arrebol.taxiservicios.model.enums;

/**
 *
 * @author Picasso
 */
public enum PaymentMethodType {
    CREDIT_CARD("Tarjeta de crédito") {
        @Override
        public String toString() {
            return "CREDIT_CARD";
        }
    }, DEBIT_CARD("Tarjeta de débito") {
        @Override
        public String toString() {
            return "DEBIT_CARD";
        }
    }, CASH("Efectivo") {
        @Override
        public String toString() {
            return "CASH";
        }
    }, EMPTY("Sin cargo") {
        @Override
        public String toString() {
            return "EMPTY";
        }
    };

    private final String paymentMethod;

    private PaymentMethodType(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

}
